
%%
load sisc_kl;

set(0, ...
    'defaultaxesfontsize',   14, ...
    'defaultaxeslinewidth',   0.7, ...
    'defaultlinelinewidth',   0.8, ...
    'defaultpatchlinewidth',  0.7)
%%
evals = KL.sv;
evals_sum = cumsum(evals)./sum(evals);
clf;
plot(evals(1:10),'k.-','MarkerSize',12);
th = text(1:10,evals(1:10),...
        arrayfun(@(x) sprintf(' %4.1f%%',x),100*evals_sum(1:10),'UniformOutput',false));
box off;
xlabel('Eigenvalue Index');
ylabel('Sqrt(Eigenvalue)');
set(th,'VerticalAlignment','bottom');
set(gca,'TickDir','out');
%%
set(gca,'Color','none'); set(gcf,'Color','none');
set(gcf, 'InvertHardCopy','off');

print(gcf,'precond-kl-evals.eps','-cmyk','-depsc2');

